@import "../../styles/_variables.scss";

.cart {
    .header {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        padding: 40px;
        background-color: $tertiary-color;
        color: white;

        p {
            width: fit-content;
            margin: 0;
        }

        p.active {
            font-weight: bold;
            color: $primary-color;
        }
    }

    .plan {
        margin: 5% auto;
    }

    .plan__chosen-places,
    .plan__chosen-places > div {
        display: flex;
        align-items: center;
        justify-content: space-around;
        flex-direction: column;
        padding: 5% 0;
    }

    .plan__component {
        height: 400px;
        border: 1px solid black;
    }

    .cart-table {
        text-align: center;

        thead,
        tr {
            vertical-align: middle;
        }

        th {
            background: $tertiary-color;
            color: white;

            &:first-child {
                border-top-left-radius: 10px;
                border-bottom-left-radius: 10px;
            }

            &:last-child {
                border-top-right-radius: 10px;
                border-bottom-right-radius: 10px;
            }
        }

        .bi {
            color: $tertiary-color;

            &:hover {
                color: $primary-color;
            }
        }
    }

    &__total {
        display: flex;
        justify-content: flex-end;
        background-color: dimgrey;
        color: white;
        padding: 1%;

        > div:first-child {
            margin-right: 3%;
        }
    }

    .button-container {
        display: flex;
        justify-content: flex-end;
        margin: 5% auto;

        > .button {
            margin: auto 3%;

            &:last-child {
                margin-right: 7%;
            }
        }
    }
}
